QGIS Application - Bug report #19695
Line Edit widgets for integer numbers with thousand separators enabled are hard to edit
2018-08-25 05:03 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Edit widget

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27520
Description

When one has an attribute field with a line edit widget assigned and thousand separators enabled in the global Options (see attached
screenshots), then it is really hard to edit longer numbers.

The thousand separator is treated like a regular character and the user manually has to make sure that the separator is positioned at the
correct places.

This makes editing of numeric values using the line edit widget quite hard/complicated.

Related issues:
Related to QGIS Application - Bug report # 20682: QGIS 3.4 ToggleEditing Closed 2018-11-30

Associated revisions

Revision ae907878 - 2018-09-01 06:02 PM - Alessandro Pasotti

Remove group separator when editing numeric values

Fixes #19695 - Line Edit widgets for integer numbers with thousand separators enabled are hard to edit

History

#1 - 2018-09-01 11:26 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-09-01 03:29 PM - Alessandro Pasotti

- Status changed from Open to In Progress

| think that the best solution here is to remove the group separator when the editor has focus and it ready to accept user input.
So, the display value would be "1.000.000,99"

When the user click on the cell to edit the value, it becomes "1000000,99"

When the field looses the focus, the value is formatted again and becomes "1.000.000,99"

Opinions?

#3 - 2018-09-01 04:03 PM - Andreas Neumann

This would be definitely better than the current behaviour.
Thanks,
Andreas

#4 - 2018-09-01 06:07 PM - Alessandro Pasotti
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7769

#5 - 2018-09-02 10:15 AM - Anonymous
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|ae907878c98feee8d884abe1cfb306f881189100.

#6 - 2018-09-02 04:41 PM - Giovanni Manghi
- Resolution set to fixed/implemented

#7 - 2018-11-30 09:07 PM - Alessandro Pasotti
- Related to Bug report #20682: QGIS 3.4 ToggleEditing added
